Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class GMFGraphPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.gmf.gmfgraph.impl.GMFGraphPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, GMFGraphPackage

    public class GMFGraphPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements GMFGraphPackage

An implementation of the model Package.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.gmfgraph.GMFGraphPackage

`ABSTRACT_FIGURE, ABSTRACT_FIGURE__BACKGROUND_COLOR, ABSTRACT_FIGURE__BORDER, ABSTRACT_FIGURE__DESCRIPTOR, ABSTRACT_FIGURE__FONT, ABSTRACT_FIGURE__FOREGROUND_COLOR, ABSTRACT_FIGURE__INSETS, ABSTRACT_FIGURE__LAYOUT, ABSTRACT_FIGURE__LAYOUT_DATA, ABSTRACT_FIGURE__LOCATION, ABSTRACT_FIGURE__MAXIMUM_SIZE, ABSTRACT_FIGURE__MINIMUM_SIZE, ABSTRACT_FIGURE__PREFERRED_SIZE, ABSTRACT_FIGURE__SIZE, ABSTRACT_FIGURE_FEATURE_COUNT, ABSTRACT_NODE, ABSTRACT_NODE__FACETS, ABSTRACT_NODE__FIGURE, ABSTRACT_NODE__NAME, ABSTRACT_NODE_FEATURE_COUNT, ALIGNMENT, ALIGNMENT_FACET, ALIGNMENT_FACET__ALIGNMENT, ALIGNMENT_FACET_FEATURE_COUNT, BASIC_FONT, BASIC_FONT__FACE_NAME, BASIC_FONT__HEIGHT, BASIC_FONT__STYLE, BASIC_FONT_FEATURE_COUNT, BORDER, BORDER_FEATURE_COUNT, BORDER_LAYOUT, BORDER_LAYOUT__SPACING, BORDER_LAYOUT_DATA, BORDER_LAYOUT_DATA__ALIGNMENT, BORDER_LAYOUT_DATA__OWNER, BORDER_LAYOUT_DATA__VERTICAL, BORDER_LAYOUT_DATA_FEATURE_COUNT, BORDER_LAYOUT_FEATURE_COUNT, BORDER_REF, BORDER_REF__ACTUAL, BORDER_REF_FEATURE_COUNT, CANVAS, CANVAS__COMPARTMENTS, CANVAS__CONNECTIONS, CANVAS__FIGURES, CANVAS__LABELS, CANVAS__NAME, CANVAS__NODES, CANVAS_FEATURE_COUNT, CHILD_ACCESS, CHILD_ACCESS__ACCESSOR, CHILD_ACCESS__FIGURE, CHILD_ACCESS__OWNER, CHILD_ACCESS_FEATURE_COUNT, COLOR, COLOR_CONSTANTS, COLOR_FEATURE_COUNT, COMPARTMENT, COMPARTMENT__ACCESSOR, COMPARTMENT__COLLAPSIBLE, COMPARTMENT__FACETS, COMPARTMENT__FIGURE, COMPARTMENT__NAME, COMPARTMENT__NEEDS_TITLE, COMPARTMENT_FEATURE_COUNT, COMPOUND_BORDER, COMPOUND_BORDER__INNER, COMPOUND_BORDER__OUTER, COMPOUND_BORDER_FEATURE_COUNT, CONNECTION, CONNECTION__FACETS, CONNECTION__FIGURE, CONNECTION__NAME, CONNECTION_FEATURE_COUNT, CONNECTION_FIGURE, CONNECTION_FIGURE__BACKGROUND_COLOR, CONNECTION_FIGURE__BORDER, CONNECTION_FIGURE__CHILDREN, CONNECTION_FIGURE__DESCRIPTOR, CONNECTION_FIGURE__FONT, CONNECTION_FIGURE__FOREGROUND_COLOR, CONNECTION_FIGURE__INSETS, CONNECTION_FIGURE__LAYOUT, CONNECTION_FIGURE__LAYOUT_DATA, CONNECTION_FIGURE__LOCATION, CONNECTION_FIGURE__MAXIMUM_SIZE, CONNECTION_FIGURE__MINIMUM_SIZE, CONNECTION_FIGURE__NAME, CONNECTION_FIGURE__PREFERRED_SIZE, CONNECTION_FIGURE__SIZE, CONNECTION_FIGURE_FEATURE_COUNT, CONSTANT_COLOR, CONSTANT_COLOR__VALUE, CONSTANT_COLOR_FEATURE_COUNT, CUSTOM_ATTRIBUTE, CUSTOM_ATTRIBUTE__DIRECT_ACCESS, CUSTOM_ATTRIBUTE__MULTI_STATEMENT_VALUE, CUSTOM_ATTRIBUTE__NAME, CUSTOM_ATTRIBUTE__VALUE, CUSTOM_ATTRIBUTE_FEATURE_COUNT, CUSTOM_BORDER, CUSTOM_BORDER__ATTRIBUTES, CUSTOM_BORDER__QUALIFIED_CLASS_NAME, CUSTOM_BORDER_FEATURE_COUNT, CUSTOM_CLASS, CUSTOM_CLASS__ATTRIBUTES, CUSTOM_CLASS__QUALIFIED_CLASS_NAME, CUSTOM_CLASS_FEATURE_COUNT, CUSTOM_CONNECTION, CUSTOM_CONNECTION__ATTRIBUTES, CUSTOM_CONNECTION__BACKGROUND_COLOR, CUSTOM_CONNECTION__BORDER, CUSTOM_CONNECTION__CHILDREN, CUSTOM_CONNECTION__CUSTOM_CHILDREN, CUSTOM_CONNECTION__DESCRIPTOR, CUSTOM_CONNECTION__FONT, CUSTOM_CONNECTION__FOREGROUND_COLOR, CUSTOM_CONNECTION__INSETS, CUSTOM_CONNECTION__LAYOUT, CUSTOM_CONNECTION__LAYOUT_DATA, CUSTOM_CONNECTION__LOCATION, CUSTOM_CONNECTION__MAXIMUM_SIZE, CUSTOM_CONNECTION__MINIMUM_SIZE, CUSTOM_CONNECTION__NAME, CUSTOM_CONNECTION__PREFERRED_SIZE, CUSTOM_CONNECTION__QUALIFIED_CLASS_NAME, CUSTOM_CONNECTION__SIZE, CUSTOM_CONNECTION_FEATURE_COUNT, CUSTOM_DECORATION, CUSTOM_DECORATION__ATTRIBUTES, CUSTOM_DECORATION__BACKGROUND_COLOR, CUSTOM_DECORATION__BORDER, CUSTOM_DECORATION__CHILDREN, CUSTOM_DECORATION__CUSTOM_CHILDREN, CUSTOM_DECORATION__DESCRIPTOR, CUSTOM_DECORATION__FONT, CUSTOM_DECORATION__FOREGROUND_COLOR, CUSTOM_DECORATION__INSETS, CUSTOM_DECORATION__LAYOUT, CUSTOM_DECORATION__LAYOUT_DATA, CUSTOM_DECORATION__LOCATION, CUSTOM_DECORATION__MAXIMUM_SIZE, CUSTOM_DECORATION__MINIMUM_SIZE, CUSTOM_DECORATION__NAME, CUSTOM_DECORATION__PREFERRED_SIZE, CUSTOM_DECORATION__QUALIFIED_CLASS_NAME, CUSTOM_DECORATION__SIZE, CUSTOM_DECORATION_FEATURE_COUNT, CUSTOM_FIGURE, CUSTOM_FIGURE__ATTRIBUTES, CUSTOM_FIGURE__BACKGROUND_COLOR, CUSTOM_FIGURE__BORDER, CUSTOM_FIGURE__CHILDREN, CUSTOM_FIGURE__CUSTOM_CHILDREN, CUSTOM_FIGURE__DESCRIPTOR, CUSTOM_FIGURE__FONT, CUSTOM_FIGURE__FOREGROUND_COLOR, CUSTOM_FIGURE__INSETS, CUSTOM_FIGURE__LAYOUT, CUSTOM_FIGURE__LAYOUT_DATA, CUSTOM_FIGURE__LOCATION, CUSTOM_FIGURE__MAXIMUM_SIZE, CUSTOM_FIGURE__MINIMUM_SIZE, CUSTOM_FIGURE__NAME, CUSTOM_FIGURE__PREFERRED_SIZE, CUSTOM_FIGURE__QUALIFIED_CLASS_NAME, CUSTOM_FIGURE__SIZE, CUSTOM_FIGURE_FEATURE_COUNT, CUSTOM_LAYOUT, CUSTOM_LAYOUT__ATTRIBUTES, CUSTOM_LAYOUT__QUALIFIED_CLASS_NAME, CUSTOM_LAYOUT_DATA, CUSTOM_LAYOUT_DATA__ATTRIBUTES, CUSTOM_LAYOUT_DATA__OWNER, CUSTOM_LAYOUT_DATA__QUALIFIED_CLASS_NAME, CUSTOM_LAYOUT_DATA_FEATURE_COUNT, CUSTOM_LAYOUT_FEATURE_COUNT, DECORATION_FIGURE, DECORATION_FIGURE__BACKGROUND_COLOR, DECORATION_FIGURE__BORDER, DECORATION_FIGURE__CHILDREN, DECORATION_FIGURE__DESCRIPTOR, DECORATION_FIGURE__FONT, DECORATION_FIGURE__FOREGROUND_COLOR, DECORATION_FIGURE__INSETS, DECORATION_FIGURE__LAYOUT, DECORATION_FIGURE__LAYOUT_DATA, DECORATION_FIGURE__LOCATION, DECORATION_FIGURE__MAXIMUM_SIZE, DECORATION_FIGURE__MINIMUM_SIZE, DECORATION_FIGURE__NAME, DECORATION_FIGURE__PREFERRED_SIZE, DECORATION_FIGURE__SIZE, DECORATION_FIGURE_FEATURE_COUNT, DEFAULT_SIZE_FACET, DEFAULT_SIZE_FACET__DEFAULT_SIZE, DEFAULT_SIZE_FACET_FEATURE_COUNT, DIAGRAM_ELEMENT, DIAGRAM_ELEMENT__FACETS, DIAGRAM_ELEMENT__FIGURE, DIAGRAM_ELEMENT__NAME, DIAGRAM_ELEMENT_FEATURE_COUNT, DIAGRAM_LABEL, DIAGRAM_LABEL__ACCESSOR, DIAGRAM_LABEL__AFFIXED_PARENT_SIDE, DIAGRAM_LABEL__CONTAINER, DIAGRAM_LABEL__CONTENT_PANE, DIAGRAM_LABEL__ELEMENT_ICON, DIAGRAM_LABEL__EXTERNAL, DIAGRAM_LABEL__FACETS, DIAGRAM_LABEL__FIGURE, DIAGRAM_LABEL__NAME, DIAGRAM_LABEL__RESIZE_CONSTRAINT, DIAGRAM_LABEL_FEATURE_COUNT, DIMENSION, DIMENSION__DX, DIMENSION__DY, DIMENSION_FEATURE_COUNT, DIRECTION, eINSTANCE, ELLIPSE, ELLIPSE__BACKGROUND_COLOR, ELLIPSE__BORDER, ELLIPSE__CHILDREN, ELLIPSE__DESCRIPTOR, ELLIPSE__FILL, ELLIPSE__FONT, ELLIPSE__FOREGROUND_COLOR, ELLIPSE__INSETS, ELLIPSE__LAYOUT, ELLIPSE__LAYOUT_DATA, ELLIPSE__LINE_KIND, ELLIPSE__LINE_WIDTH, ELLIPSE__LOCATION, ELLIPSE__MAXIMUM_SIZE, ELLIPSE__MINIMUM_SIZE, ELLIPSE__NAME, ELLIPSE__OUTLINE, ELLIPSE__PREFERRED_SIZE, ELLIPSE__RESOLVED_CHILDREN, ELLIPSE__SIZE, ELLIPSE__XOR_FILL, ELLIPSE__XOR_OUTLINE, ELLIPSE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, FIGURE, FIGURE__BACKGROUND_COLOR, FIGURE__BORDER, FIGURE__DESCRIPTOR, FIGURE__FONT, FIGURE__FOREGROUND_COLOR, FIGURE__INSETS, FIGURE__LAYOUT, FIGURE__LAYOUT_DATA, FIGURE__LOCATION, FIGURE__MAXIMUM_SIZE, FIGURE__MINIMUM_SIZE, FIGURE__PREFERRED_SIZE, FIGURE__SIZE, FIGURE_ACCESSOR, FIGURE_ACCESSOR__ACCESSOR, FIGURE_ACCESSOR__TYPED_FIGURE, FIGURE_ACCESSOR_FEATURE_COUNT, FIGURE_DESCRIPTOR, FIGURE_DESCRIPTOR__ACCESSORS, FIGURE_DESCRIPTOR__ACTUAL_FIGURE, FIGURE_DESCRIPTOR__NAME, FIGURE_DESCRIPTOR_FEATURE_COUNT, FIGURE_FEATURE_COUNT, FIGURE_GALLERY, FIGURE_GALLERY__BORDERS, FIGURE_GALLERY__DESCRIPTORS, FIGURE_GALLERY__FIGURES, FIGURE_GALLERY__IMPLEMENTATION_BUNDLE, FIGURE_GALLERY__LAYOUTS, FIGURE_GALLERY__NAME, FIGURE_GALLERY_FEATURE_COUNT, FIGURE_REF, FIGURE_REF__BACKGROUND_COLOR, FIGURE_REF__BORDER, FIGURE_REF__DESCRIPTOR, FIGURE_REF__FIGURE, FIGURE_REF__FONT, FIGURE_REF__FOREGROUND_COLOR, FIGURE_REF__INSETS, FIGURE_REF__LAYOUT, FIGURE_REF__LAYOUT_DATA, FIGURE_REF__LOCATION, FIGURE_REF__MAXIMUM_SIZE, FIGURE_REF__MINIMUM_SIZE, FIGURE_REF__PREFERRED_SIZE, FIGURE_REF__SIZE, FIGURE_REF_FEATURE_COUNT, FLOW_LAYOUT, FLOW_LAYOUT__FORCE_SINGLE_LINE, FLOW_LAYOUT__MAJOR_ALIGNMENT, FLOW_LAYOUT__MAJOR_SPACING, FLOW_LAYOUT__MATCH_MINOR_SIZE, FLOW_LAYOUT__MINOR_ALIGNMENT, FLOW_LAYOUT__MINOR_SPACING, FLOW_LAYOUT__VERTICAL, FLOW_LAYOUT_FEATURE_COUNT, FONT, FONT_FEATURE_COUNT, FONT_STYLE, GENERAL_FACET, GENERAL_FACET__DATA, GENERAL_FACET__IDENTIFIER, GENERAL_FACET_FEATURE_COUNT, GRADIENT_FACET, GRADIENT_FACET__DIRECTION, GRADIENT_FACET_FEATURE_COUNT, GRID_LAYOUT, GRID_LAYOUT__EQUAL_WIDTH, GRID_LAYOUT__MARGINS, GRID_LAYOUT__NUM_COLUMNS, GRID_LAYOUT__SPACING, GRID_LAYOUT_DATA, GRID_LAYOUT_DATA__GRAB_EXCESS_HORIZONTAL_SPACE, GRID_LAYOUT_DATA__GRAB_EXCESS_VERTICAL_SPACE, GRID_LAYOUT_DATA__HORIZONTAL_ALIGNMENT, GRID_LAYOUT_DATA__HORIZONTAL_INDENT, GRID_LAYOUT_DATA__HORIZONTAL_SPAN, GRID_LAYOUT_DATA__OWNER, GRID_LAYOUT_DATA__SIZE_HINT, GRID_LAYOUT_DATA__VERTICAL_ALIGNMENT, GRID_LAYOUT_DATA__VERTICAL_SPAN, GRID_LAYOUT_DATA_FEATURE_COUNT, GRID_LAYOUT_FEATURE_COUNT, IDENTITY, IDENTITY__NAME, IDENTITY_FEATURE_COUNT, INSETS, INSETS__BOTTOM, INSETS__LEFT, INSETS__RIGHT, INSETS__TOP, INSETS_FEATURE_COUNT, LABEL, LABEL__BACKGROUND_COLOR, LABEL__BORDER, LABEL__CHILDREN, LABEL__DESCRIPTOR, LABEL__FONT, LABEL__FOREGROUND_COLOR, LABEL__INSETS, LABEL__LAYOUT, LABEL__LAYOUT_DATA, LABEL__LOCATION, LABEL__MAXIMUM_SIZE, LABEL__MINIMUM_SIZE, LABEL__NAME, LABEL__PREFERRED_SIZE, LABEL__SIZE, LABEL__TEXT, LABEL_FEATURE_COUNT, LABEL_OFFSET_FACET, LABEL_OFFSET_FACET__X, LABEL_OFFSET_FACET__Y, LABEL_OFFSET_FACET_FEATURE_COUNT, LABELED_CONTAINER, LABELED_CONTAINER__BACKGROUND_COLOR, LABELED_CONTAINER__BORDER, LABELED_CONTAINER__CHILDREN, LABELED_CONTAINER__DESCRIPTOR, LABELED_CONTAINER__FONT, LABELED_CONTAINER__FOREGROUND_COLOR, LABELED_CONTAINER__INSETS, LABELED_CONTAINER__LAYOUT, LABELED_CONTAINER__LAYOUT_DATA, LABELED_CONTAINER__LOCATION, LABELED_CONTAINER__MAXIMUM_SIZE, LABELED_CONTAINER__MINIMUM_SIZE, LABELED_CONTAINER__NAME, LABELED_CONTAINER__PREFERRED_SIZE, LABELED_CONTAINER__SIZE, LABELED_CONTAINER_FEATURE_COUNT, LAYOUT, LAYOUT_DATA, LAYOUT_DATA__OWNER, LAYOUT_DATA_FEATURE_COUNT, LAYOUT_FEATURE_COUNT, LAYOUT_REF, LAYOUT_REF__ACTUAL, LAYOUT_REF_FEATURE_COUNT, LAYOUTABLE, LAYOUTABLE__LAYOUT, LAYOUTABLE__LAYOUT_DATA, LAYOUTABLE_FEATURE_COUNT, LINE_BORDER, LINE_BORDER__COLOR, LINE_BORDER__WIDTH, LINE_BORDER_FEATURE_COUNT, LINE_KIND, MARGIN_BORDER, MARGIN_BORDER__INSETS, MARGIN_BORDER_FEATURE_COUNT, NODE, NODE__AFFIXED_PARENT_SIDE, NODE__CONTENT_PANE, NODE__FACETS, NODE__FIGURE, NODE__NAME, NODE__RESIZE_CONSTRAINT, NODE_FEATURE_COUNT, POINT, POINT__X, POINT__Y, POINT_FEATURE_COUNT, POLYGON, POLYGON__BACKGROUND_COLOR, POLYGON__BORDER, POLYGON__CHILDREN, POLYGON__DESCRIPTOR, POLYGON__FILL, POLYGON__FONT, POLYGON__FOREGROUND_COLOR, POLYGON__INSETS, POLYGON__LAYOUT, POLYGON__LAYOUT_DATA, POLYGON__LINE_KIND, POLYGON__LINE_WIDTH, POLYGON__LOCATION, POLYGON__MAXIMUM_SIZE, POLYGON__MINIMUM_SIZE, POLYGON__NAME, POLYGON__OUTLINE, POLYGON__PREFERRED_SIZE, POLYGON__RESOLVED_CHILDREN, POLYGON__SIZE, POLYGON__TEMPLATE, POLYGON__XOR_FILL, POLYGON__XOR_OUTLINE, POLYGON_DECORATION, POLYGON_DECORATION__BACKGROUND_COLOR, POLYGON_DECORATION__BORDER, POLYGON_DECORATION__CHILDREN, POLYGON_DECORATION__DESCRIPTOR, POLYGON_DECORATION__FILL, POLYGON_DECORATION__FONT, POLYGON_DECORATION__FOREGROUND_COLOR, POLYGON_DECORATION__INSETS, POLYGON_DECORATION__LAYOUT, POLYGON_DECORATION__LAYOUT_DATA, POLYGON_DECORATION__LINE_KIND, POLYGON_DECORATION__LINE_WIDTH, POLYGON_DECORATION__LOCATION, POLYGON_DECORATION__MAXIMUM_SIZE, POLYGON_DECORATION__MINIMUM_SIZE, POLYGON_DECORATION__NAME, POLYGON_DECORATION__OUTLINE, POLYGON_DECORATION__PREFERRED_SIZE, POLYGON_DECORATION__RESOLVED_CHILDREN, POLYGON_DECORATION__SIZE, POLYGON_DECORATION__TEMPLATE, POLYGON_DECORATION__XOR_FILL, POLYGON_DECORATION__XOR_OUTLINE, POLYGON_DECORATION_FEATURE_COUNT, POLYGON_FEATURE_COUNT, POLYLINE, POLYLINE__BACKGROUND_COLOR, POLYLINE__BORDER, POLYLINE__CHILDREN, POLYLINE__DESCRIPTOR, POLYLINE__FILL, POLYLINE__FONT, POLYLINE__FOREGROUND_COLOR, POLYLINE__INSETS, POLYLINE__LAYOUT, POLYLINE__LAYOUT_DATA, POLYLINE__LINE_KIND, POLYLINE__LINE_WIDTH, POLYLINE__LOCATION, POLYLINE__MAXIMUM_SIZE, POLYLINE__MINIMUM_SIZE, POLYLINE__NAME, POLYLINE__OUTLINE, POLYLINE__PREFERRED_SIZE, POLYLINE__RESOLVED_CHILDREN, POLYLINE__SIZE, POLYLINE__TEMPLATE, POLYLINE__XOR_FILL, POLYLINE__XOR_OUTLINE, POLYLINE_CONNECTION, POLYLINE_CONNECTION__BACKGROUND_COLOR, POLYLINE_CONNECTION__BORDER, POLYLINE_CONNECTION__CHILDREN, POLYLINE_CONNECTION__DESCRIPTOR, POLYLINE_CONNECTION__FILL, POLYLINE_CONNECTION__FONT, POLYLINE_CONNECTION__FOREGROUND_COLOR, POLYLINE_CONNECTION__INSETS, POLYLINE_CONNECTION__LAYOUT, POLYLINE_CONNECTION__LAYOUT_DATA, POLYLINE_CONNECTION__LINE_KIND, POLYLINE_CONNECTION__LINE_WIDTH, POLYLINE_CONNECTION__LOCATION, POLYLINE_CONNECTION__MAXIMUM_SIZE, POLYLINE_CONNECTION__MINIMUM_SIZE, POLYLINE_CONNECTION__NAME, POLYLINE_CONNECTION__OUTLINE, POLYLINE_CONNECTION__PREFERRED_SIZE, POLYLINE_CONNECTION__RESOLVED_CHILDREN, POLYLINE_CONNECTION__SIZE, POLYLINE_CONNECTION__SOURCE_DECORATION, POLYLINE_CONNECTION__TARGET_DECORATION, POLYLINE_CONNECTION__TEMPLATE, POLYLINE_CONNECTION__XOR_FILL, POLYLINE_CONNECTION__XOR_OUTLINE, POLYLINE_CONNECTION_FEATURE_COUNT, POLYLINE_DECORATION, POLYLINE_DECORATION__BACKGROUND_COLOR, POLYLINE_DECORATION__BORDER, POLYLINE_DECORATION__CHILDREN, POLYLINE_DECORATION__DESCRIPTOR, POLYLINE_DECORATION__FILL, POLYLINE_DECORATION__FONT, POLYLINE_DECORATION__FOREGROUND_COLOR, POLYLINE_DECORATION__INSETS, POLYLINE_DECORATION__LAYOUT, POLYLINE_DECORATION__LAYOUT_DATA, POLYLINE_DECORATION__LINE_KIND, POLYLINE_DECORATION__LINE_WIDTH, POLYLINE_DECORATION__LOCATION, POLYLINE_DECORATION__MAXIMUM_SIZE, POLYLINE_DECORATION__MINIMUM_SIZE, POLYLINE_DECORATION__NAME, POLYLINE_DECORATION__OUTLINE, POLYLINE_DECORATION__PREFERRED_SIZE, POLYLINE_DECORATION__RESOLVED_CHILDREN, POLYLINE_DECORATION__SIZE, POLYLINE_DECORATION__TEMPLATE, POLYLINE_DECORATION__XOR_FILL, POLYLINE_DECORATION__XOR_OUTLINE, POLYLINE_DECORATION_FEATURE_COUNT, POLYLINE_FEATURE_COUNT, REAL_FIGURE, REAL_FIGURE__BACKGROUND_COLOR, REAL_FIGURE__BORDER, REAL_FIGURE__CHILDREN, REAL_FIGURE__DESCRIPTOR, REAL_FIGURE__FONT, REAL_FIGURE__FOREGROUND_COLOR, REAL_FIGURE__INSETS, REAL_FIGURE__LAYOUT, REAL_FIGURE__LAYOUT_DATA, REAL_FIGURE__LOCATION, REAL_FIGURE__MAXIMUM_SIZE, REAL_FIGURE__MINIMUM_SIZE, REAL_FIGURE__NAME, REAL_FIGURE__PREFERRED_SIZE, REAL_FIGURE__SIZE, REAL_FIGURE_FEATURE_COUNT, RECTANGLE, RECTANGLE__BACKGROUND_COLOR, RECTANGLE__BORDER, RECTANGLE__CHILDREN, RECTANGLE__DESCRIPTOR, RECTANGLE__FILL, RECTANGLE__FONT, RECTANGLE__FOREGROUND_COLOR, RECTANGLE__INSETS, RECTANGLE__LAYOUT, RECTANGLE__LAYOUT_DATA, RECTANGLE__LINE_KIND, RECTANGLE__LINE_WIDTH, RECTANGLE__LOCATION, RECTANGLE__MAXIMUM_SIZE, RECTANGLE__MINIMUM_SIZE, RECTANGLE__NAME, RECTANGLE__OUTLINE, RECTANGLE__PREFERRED_SIZE, RECTANGLE__RESOLVED_CHILDREN, RECTANGLE__SIZE, RECTANGLE__XOR_FILL, RECTANGLE__XOR_OUTLINE, RECTANGLE_FEATURE_COUNT, RGB_COLOR, RGB_COLOR__BLUE, RGB_COLOR__GREEN, RGB_COLOR__RED, RGB_COLOR_FEATURE_COUNT, ROUNDED_RECTANGLE, ROUNDED_RECTANGLE__BACKGROUND_COLOR, ROUNDED_RECTANGLE__BORDER, ROUNDED_RECTANGLE__CHILDREN, ROUNDED_RECTANGLE__CORNER_HEIGHT, ROUNDED_RECTANGLE__CORNER_WIDTH, ROUNDED_RECTANGLE__DESCRIPTOR, ROUNDED_RECTANGLE__FILL, ROUNDED_RECTANGLE__FONT, ROUNDED_RECTANGLE__FOREGROUND_COLOR, ROUNDED_RECTANGLE__INSETS, ROUNDED_RECTANGLE__LAYOUT, ROUNDED_RECTANGLE__LAYOUT_DATA, ROUNDED_RECTANGLE__LINE_KIND, ROUNDED_RECTANGLE__LINE_WIDTH, ROUNDED_RECTANGLE__LOCATION, ROUNDED_RECTANGLE__MAXIMUM_SIZE, ROUNDED_RECTANGLE__MINIMUM_SIZE, ROUNDED_RECTANGLE__NAME, ROUNDED_RECTANGLE__OUTLINE, ROUNDED_RECTANGLE__PREFERRED_SIZE, ROUNDED_RECTANGLE__RESOLVED_CHILDREN, ROUNDED_RECTANGLE__SIZE, ROUNDED_RECTANGLE__XOR_FILL, ROUNDED_RECTANGLE__XOR_OUTLINE, ROUNDED_RECTANGLE_FEATURE_COUNT, SCALABLE_POLYGON, SCALABLE_POLYGON__BACKGROUND_COLOR, SCALABLE_POLYGON__BORDER, SCALABLE_POLYGON__CHILDREN, SCALABLE_POLYGON__DESCRIPTOR, SCALABLE_POLYGON__FILL, SCALABLE_POLYGON__FONT, SCALABLE_POLYGON__FOREGROUND_COLOR, SCALABLE_POLYGON__INSETS, SCALABLE_POLYGON__LAYOUT, SCALABLE_POLYGON__LAYOUT_DATA, SCALABLE_POLYGON__LINE_KIND, SCALABLE_POLYGON__LINE_WIDTH, SCALABLE_POLYGON__LOCATION, SCALABLE_POLYGON__MAXIMUM_SIZE, SCALABLE_POLYGON__MINIMUM_SIZE, SCALABLE_POLYGON__NAME, SCALABLE_POLYGON__OUTLINE, SCALABLE_POLYGON__PREFERRED_SIZE, SCALABLE_POLYGON__RESOLVED_CHILDREN, SCALABLE_POLYGON__SIZE, SCALABLE_POLYGON__TEMPLATE, SCALABLE_POLYGON__XOR_FILL, SCALABLE_POLYGON__XOR_OUTLINE, SCALABLE_POLYGON_FEATURE_COUNT, SHAPE, SHAPE__BACKGROUND_COLOR, SHAPE__BORDER, SHAPE__CHILDREN, SHAPE__DESCRIPTOR, SHAPE__FILL, SHAPE__FONT, SHAPE__FOREGROUND_COLOR, SHAPE__INSETS, SHAPE__LAYOUT, SHAPE__LAYOUT_DATA, SHAPE__LINE_KIND, SHAPE__LINE_WIDTH, SHAPE__LOCATION, SHAPE__MAXIMUM_SIZE, SHAPE__MINIMUM_SIZE, SHAPE__NAME, SHAPE__OUTLINE, SHAPE__PREFERRED_SIZE, SHAPE__RESOLVED_CHILDREN, SHAPE__SIZE, SHAPE__XOR_FILL, SHAPE__XOR_OUTLINE, SHAPE_FEATURE_COUNT, STACK_LAYOUT, STACK_LAYOUT_FEATURE_COUNT, VISUAL_FACET, VISUAL_FACET_FEATURE_COUNT, XY_LAYOUT, XY_LAYOUT_DATA, XY_LAYOUT_DATA__OWNER, XY_LAYOUT_DATA__SIZE, XY_LAYOUT_DATA__TOP_LEFT, XY_LAYOUT_DATA_FEATURE_COUNT, XY_LAYOUT_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass` `getAbstractFigure()`
`org.eclipse.emf.ecore.EClass` `getAbstractNode()`
`org.eclipse.emf.ecore.EEnum` `getAlignment()`
`org.eclipse.emf.ecore.EAttribute` `getAlignmentFacet_Alignment()`
`org.eclipse.emf.ecore.EClass` `getAlignmentFacet()`
`org.eclipse.emf.ecore.EAttribute` `getBasicFont_FaceName()`
`org.eclipse.emf.ecore.EAttribute` `getBasicFont_Height()`
`org.eclipse.emf.ecore.EAttribute` `getBasicFont_Style()`
`org.eclipse.emf.ecore.EClass` `getBasicFont()`
`org.eclipse.emf.ecore.EClass` `getBorder()`
`org.eclipse.emf.ecore.EReference` `getBorderLayout_Spacing()`
`org.eclipse.emf.ecore.EClass` `getBorderLayout()`
`org.eclipse.emf.ecore.EAttribute` `getBorderLayoutData_Alignment()`
`org.eclipse.emf.ecore.EAttribute` `getBorderLayoutData_Vertical()`
`org.eclipse.emf.ecore.EClass` `getBorderLayoutData()`
`org.eclipse.emf.ecore.EReference` `getBorderRef_Actual()`
`org.eclipse.emf.ecore.EClass` `getBorderRef()`
`org.eclipse.emf.ecore.EReference` `getCanvas_Compartments()`
`org.eclipse.emf.ecore.EReference` `getCanvas_Connections()`
`org.eclipse.emf.ecore.EReference` `getCanvas_Figures()`
`org.eclipse.emf.ecore.EReference` `getCanvas_Labels()`
`org.eclipse.emf.ecore.EReference` `getCanvas_Nodes()`
`org.eclipse.emf.ecore.EClass` `getCanvas()`
`org.eclipse.emf.ecore.EAttribute` `getChildAccess_Accessor()`
`org.eclipse.emf.ecore.EReference` `getChildAccess_Figure()`
`org.eclipse.emf.ecore.EReference` `getChildAccess_Owner()`
`org.eclipse.emf.ecore.EClass` `getChildAccess()`
`org.eclipse.emf.ecore.EClass` `getColor()`
`org.eclipse.emf.ecore.EEnum` `getColorConstants()`
`org.eclipse.emf.ecore.EReference` `getCompartment_Accessor()`
`org.eclipse.emf.ecore.EAttribute` `getCompartment_Collapsible()`
`org.eclipse.emf.ecore.EAttribute` `getCompartment_NeedsTitle()`
`org.eclipse.emf.ecore.EClass` `getCompartment()`
`org.eclipse.emf.ecore.EReference` `getCompoundBorder_Inner()`
`org.eclipse.emf.ecore.EReference` `getCompoundBorder_Outer()`
`org.eclipse.emf.ecore.EClass` `getCompoundBorder()`
`org.eclipse.emf.ecore.EClass` `getConnection()`
`org.eclipse.emf.ecore.EClass` `getConnectionFigure()`
`org.eclipse.emf.ecore.EAttribute` `getConstantColor_Value()`
`org.eclipse.emf.ecore.EClass` `getConstantColor()`
`org.eclipse.emf.ecore.EAttribute` `getCustomAttribute_DirectAccess()`
`org.eclipse.emf.ecore.EAttribute` `getCustomAttribute_MultiStatementValue()`
`org.eclipse.emf.ecore.EAttribute` `getCustomAttribute_Name()`
`org.eclipse.emf.ecore.EAttribute` `getCustomAttribute_Value()`
`org.eclipse.emf.ecore.EClass` `getCustomAttribute()`
`org.eclipse.emf.ecore.EClass` `getCustomBorder()`
`org.eclipse.emf.ecore.EReference` `getCustomClass_Attributes()`
`org.eclipse.emf.ecore.EAttribute` `getCustomClass_QualifiedClassName()`
`org.eclipse.emf.ecore.EClass` `getCustomClass()`
`org.eclipse.emf.ecore.EClass` `getCustomConnection()`
`org.eclipse.emf.ecore.EClass` `getCustomDecoration()`
`org.eclipse.emf.ecore.EReference` `getCustomFigure_CustomChildren()`
`org.eclipse.emf.ecore.EClass` `getCustomFigure()`
`org.eclipse.emf.ecore.EClass` `getCustomLayout()`
`org.eclipse.emf.ecore.EClass` `getCustomLayoutData()`
`org.eclipse.emf.ecore.EClass` `getDecorationFigure()`
`org.eclipse.emf.ecore.EReference` `getDefaultSizeFacet_DefaultSize()`
`org.eclipse.emf.ecore.EClass` `getDefaultSizeFacet()`
`org.eclipse.emf.ecore.EReference` `getDiagramElement_Facets()`
`org.eclipse.emf.ecore.EReference` `getDiagramElement_Figure()`
`org.eclipse.emf.ecore.EClass` `getDiagramElement()`
`org.eclipse.emf.ecore.EReference` `getDiagramLabel_Accessor()`
`org.eclipse.emf.ecore.EReference` `getDiagramLabel_Container()`
`org.eclipse.emf.ecore.EAttribute` `getDiagramLabel_ElementIcon()`
`org.eclipse.emf.ecore.EAttribute` `getDiagramLabel_External()`
`org.eclipse.emf.ecore.EClass` `getDiagramLabel()`
`org.eclipse.emf.ecore.EAttribute` `getDimension_Dx()`
`org.eclipse.emf.ecore.EAttribute` `getDimension_Dy()`
`org.eclipse.emf.ecore.EClass` `getDimension()`
`org.eclipse.emf.ecore.EEnum` `getDirection()`
`org.eclipse.emf.ecore.EClass` `getEllipse()`
`org.eclipse.emf.ecore.EReference` `getFigure_BackgroundColor()`
`org.eclipse.emf.ecore.EReference` `getFigure_Border()`
`org.eclipse.emf.ecore.EReference` `getFigure_Descriptor()`
`org.eclipse.emf.ecore.EReference` `getFigure_Font()`
`org.eclipse.emf.ecore.EReference` `getFigure_ForegroundColor()`
`org.eclipse.emf.ecore.EReference` `getFigure_Insets()`
`org.eclipse.emf.ecore.EReference` `getFigure_Location()`
`org.eclipse.emf.ecore.EReference` `getFigure_MaximumSize()`
`org.eclipse.emf.ecore.EReference` `getFigure_MinimumSize()`
`org.eclipse.emf.ecore.EReference` `getFigure_PreferredSize()`
`org.eclipse.emf.ecore.EReference` `getFigure_Size()`
`org.eclipse.emf.ecore.EClass` `getFigure()`
`org.eclipse.emf.ecore.EAttribute` `getFigureAccessor_Accessor()`
`org.eclipse.emf.ecore.EReference` `getFigureAccessor_TypedFigure()`
`org.eclipse.emf.ecore.EClass` `getFigureAccessor()`
`org.eclipse.emf.ecore.EReference` `getFigureDescriptor_Accessors()`
`org.eclipse.emf.ecore.EReference` `getFigureDescriptor_ActualFigure()`
`org.eclipse.emf.ecore.EClass` `getFigureDescriptor()`
`org.eclipse.emf.ecore.EReference` `getFigureGallery_Borders()`
`org.eclipse.emf.ecore.EReference` `getFigureGallery_Descriptors()`
`org.eclipse.emf.ecore.EReference` `getFigureGallery_Figures()`
`org.eclipse.emf.ecore.EAttribute` `getFigureGallery_ImplementationBundle()`
`org.eclipse.emf.ecore.EReference` `getFigureGallery_Layouts()`
`org.eclipse.emf.ecore.EClass` `getFigureGallery()`
`org.eclipse.emf.ecore.EReference` `getFigureRef_Figure()`
`org.eclipse.emf.ecore.EClass` `getFigureRef()`
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_ForceSingleLine()`
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MajorAlignment()`
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MajorSpacing()`
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MatchMinorSize()`
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MinorAlignment()`
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_MinorSpacing()`
`org.eclipse.emf.ecore.EAttribute` `getFlowLayout_Vertical()`
`org.eclipse.emf.ecore.EClass` `getFlowLayout()`
`org.eclipse.emf.ecore.EClass` `getFont()`
`org.eclipse.emf.ecore.EEnum` `getFontStyle()`
`org.eclipse.emf.ecore.EAttribute` `getGeneralFacet_Data()`
`org.eclipse.emf.ecore.EAttribute` `getGeneralFacet_Identifier()`
`org.eclipse.emf.ecore.EClass` `getGeneralFacet()`
`GMFGraphFactory` `getGMFGraphFactory()`
`org.eclipse.emf.ecore.EAttribute` `getGradientFacet_Direction()`
`org.eclipse.emf.ecore.EClass` `getGradientFacet()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayout_EqualWidth()`
`org.eclipse.emf.ecore.EReference` `getGridLayout_Margins()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayout_NumColumns()`
`org.eclipse.emf.ecore.EReference` `getGridLayout_Spacing()`
`org.eclipse.emf.ecore.EClass` `getGridLayout()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_GrabExcessHorizontalSpace()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_GrabExcessVerticalSpace()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_HorizontalAlignment()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_HorizontalIndent()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_HorizontalSpan()`
`org.eclipse.emf.ecore.EReference` `getGridLayoutData_SizeHint()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_VerticalAlignment()`
`org.eclipse.emf.ecore.EAttribute` `getGridLayoutData_VerticalSpan()`
`org.eclipse.emf.ecore.EClass` `getGridLayoutData()`
`org.eclipse.emf.ecore.EAttribute` `getIdentity_Name()`
`org.eclipse.emf.ecore.EClass` `getIdentity()`
`org.eclipse.emf.ecore.EAttribute` `getInsets_Bottom()`
`org.eclipse.emf.ecore.EAttribute` `getInsets_Left()`
`org.eclipse.emf.ecore.EAttribute` `getInsets_Right()`
`org.eclipse.emf.ecore.EAttribute` `getInsets_Top()`
`org.eclipse.emf.ecore.EClass` `getInsets()`
`org.eclipse.emf.ecore.EAttribute` `getLabel_Text()`
`org.eclipse.emf.ecore.EClass` `getLabel()`
`org.eclipse.emf.ecore.EClass` `getLabeledContainer()`
`org.eclipse.emf.ecore.EAttribute` `getLabelOffsetFacet_X()`
`org.eclipse.emf.ecore.EAttribute` `getLabelOffsetFacet_Y()`
`org.eclipse.emf.ecore.EClass` `getLabelOffsetFacet()`
`org.eclipse.emf.ecore.EClass` `getLayout()`
`org.eclipse.emf.ecore.EReference` `getLayoutable_Layout()`
`org.eclipse.emf.ecore.EReference` `getLayoutable_LayoutData()`
`org.eclipse.emf.ecore.EClass` `getLayoutable()`
`org.eclipse.emf.ecore.EReference` `getLayoutData_Owner()`
`org.eclipse.emf.ecore.EClass` `getLayoutData()`
`org.eclipse.emf.ecore.EReference` `getLayoutRef_Actual()`
`org.eclipse.emf.ecore.EClass` `getLayoutRef()`
`org.eclipse.emf.ecore.EReference` `getLineBorder_Color()`
`org.eclipse.emf.ecore.EAttribute` `getLineBorder_Width()`
`org.eclipse.emf.ecore.EClass` `getLineBorder()`
`org.eclipse.emf.ecore.EEnum` `getLineKind()`
`org.eclipse.emf.ecore.EReference` `getMarginBorder_Insets()`
`org.eclipse.emf.ecore.EClass` `getMarginBorder()`
`org.eclipse.emf.ecore.EAttribute` `getNode_AffixedParentSide()`
`org.eclipse.emf.ecore.EReference` `getNode_ContentPane()`
`org.eclipse.emf.ecore.EAttribute` `getNode_ResizeConstraint()`
`org.eclipse.emf.ecore.EClass` `getNode()`
`org.eclipse.emf.ecore.EAttribute` `getPoint_X()`
`org.eclipse.emf.ecore.EAttribute` `getPoint_Y()`
`org.eclipse.emf.ecore.EClass` `getPoint()`
`org.eclipse.emf.ecore.EClass` `getPolygon()`
`org.eclipse.emf.ecore.EClass` `getPolygonDecoration()`
`org.eclipse.emf.ecore.EReference` `getPolyline_Template()`
`org.eclipse.emf.ecore.EClass` `getPolyline()`
`org.eclipse.emf.ecore.EReference` `getPolylineConnection_SourceDecoration()`
`org.eclipse.emf.ecore.EReference` `getPolylineConnection_TargetDecoration()`
`org.eclipse.emf.ecore.EClass` `getPolylineConnection()`
`org.eclipse.emf.ecore.EClass` `getPolylineDecoration()`
`org.eclipse.emf.ecore.EReference` `getRealFigure_Children()`
`org.eclipse.emf.ecore.EAttribute` `getRealFigure_Name()`
`org.eclipse.emf.ecore.EClass` `getRealFigure()`
`org.eclipse.emf.ecore.EClass` `getRectangle()`
`org.eclipse.emf.ecore.EAttribute` `getRGBColor_Blue()`
`org.eclipse.emf.ecore.EAttribute` `getRGBColor_Green()`
`org.eclipse.emf.ecore.EAttribute` `getRGBColor_Red()`
`org.eclipse.emf.ecore.EClass` `getRGBColor()`
`org.eclipse.emf.ecore.EAttribute` `getRoundedRectangle_CornerHeight()`
`org.eclipse.emf.ecore.EAttribute` `getRoundedRectangle_CornerWidth()`
`org.eclipse.emf.ecore.EClass` `getRoundedRectangle()`
`org.eclipse.emf.ecore.EClass` `getScalablePolygon()`
`org.eclipse.emf.ecore.EAttribute` `getShape_Fill()`
`org.eclipse.emf.ecore.EAttribute` `getShape_LineKind()`
`org.eclipse.emf.ecore.EAttribute` `getShape_LineWidth()`
`org.eclipse.emf.ecore.EAttribute` `getShape_Outline()`
`org.eclipse.emf.ecore.EReference` `getShape_ResolvedChildren()`
`org.eclipse.emf.ecore.EAttribute` `getShape_XorFill()`
`org.eclipse.emf.ecore.EAttribute` `getShape_XorOutline()`
`org.eclipse.emf.ecore.EClass` `getShape()`
`org.eclipse.emf.ecore.EClass` `getStackLayout()`
`org.eclipse.emf.ecore.EClass` `getVisualFacet()`
`org.eclipse.emf.ecore.EClass` `getXYLayout()`
`org.eclipse.emf.ecore.EReference` `getXYLayoutData_Size()`
`org.eclipse.emf.ecore.EReference` `getXYLayoutData_TopLeft()`
`org.eclipse.emf.ecore.EClass` `getXYLayoutData()`
`static GMFGraphPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static GMFGraphPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `GMFGraphPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
  ** Generated **

### getCanvas

    public org.eclipse.emf.ecore.EClass getCanvas()

  Specified by:
    `getCanvas` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Canvas'.
  See Also:
    `Canvas`
  ** Generated **

### getCanvas_Figures

    public org.eclipse.emf.ecore.EReference getCanvas_Figures()

  Specified by:
    `getCanvas_Figures` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Figures'.
  See Also:
    `Canvas.getFigures()`, `GMFGraphPackage.getCanvas()`
  ** Generated **

### getCanvas_Nodes

    public org.eclipse.emf.ecore.EReference getCanvas_Nodes()

  Specified by:
    `getCanvas_Nodes` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Nodes'.
  See Also:
    `Canvas.getNodes()`, `GMFGraphPackage.getCanvas()`
  ** Generated **

### getCanvas_Connections

    public org.eclipse.emf.ecore.EReference getCanvas_Connections()

  Specified by:
    `getCanvas_Connections` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Connections'.
  See Also:
    `Canvas.getConnections()`, `GMFGraphPackage.getCanvas()`
  ** Generated **

### getCanvas_Compartments

    public org.eclipse.emf.ecore.EReference getCanvas_Compartments()

  Specified by:
    `getCanvas_Compartments` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Compartments'.
  See Also:
    `Canvas.getCompartments()`, `GMFGraphPackage.getCanvas()`
  ** Generated **

### getCanvas_Labels

    public org.eclipse.emf.ecore.EReference getCanvas_Labels()

  Specified by:
    `getCanvas_Labels` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Labels'.
  See Also:
    `Canvas.getLabels()`, `GMFGraphPackage.getCanvas()`
  ** Generated **

### getFigureGallery

    public org.eclipse.emf.ecore.EClass getFigureGallery()

  Specified by:
    `getFigureGallery` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Figure Gallery'.
  See Also:
    `FigureGallery`
  ** Generated **

### getFigureGallery_Figures

    public org.eclipse.emf.ecore.EReference getFigureGallery_Figures()

  Specified by:
    `getFigureGallery_Figures` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Figures'.
  See Also:
    `FigureGallery.getFigures()`, `GMFGraphPackage.getFigureGallery()`
  ** Generated **

### getFigureGallery_Descriptors

    public org.eclipse.emf.ecore.EReference getFigureGallery_Descriptors()

  Specified by:
    `getFigureGallery_Descriptors` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Descriptors'.
  See Also:
    `FigureGallery.getDescriptors()`, `GMFGraphPackage.getFigureGallery()`
  ** Generated **

### getFigureGallery_Borders

    public org.eclipse.emf.ecore.EReference getFigureGallery_Borders()

  Specified by:
    `getFigureGallery_Borders` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Borders'.
  See Also:
    `FigureGallery.getBorders()`, `GMFGraphPackage.getFigureGallery()`
  ** Generated **

### getFigureGallery_Layouts

    public org.eclipse.emf.ecore.EReference getFigureGallery_Layouts()

  Specified by:
    `getFigureGallery_Layouts` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Layouts'.
  See Also:
    `FigureGallery.getLayouts()`, `GMFGraphPackage.getFigureGallery()`
  ** Generated **

### getFigureGallery_ImplementationBundle

    public org.eclipse.emf.ecore.EAttribute getFigureGallery_ImplementationBundle()

  Specified by:
    `getFigureGallery_ImplementationBundle` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Implementation Bundle'.
  See Also:
    `FigureGallery.getImplementationBundle()`, `GMFGraphPackage.getFigureGallery()`
  ** Generated **

### getIdentity

    public org.eclipse.emf.ecore.EClass getIdentity()

  Specified by:
    `getIdentity` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Identity'.
  See Also:
    `Identity`
  ** Generated **

### getIdentity_Name

    public org.eclipse.emf.ecore.EAttribute getIdentity_Name()

  Specified by:
    `getIdentity_Name` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Identity.getName()`, `GMFGraphPackage.getIdentity()`
  ** Generated **

### getDiagramElement

    public org.eclipse.emf.ecore.EClass getDiagramElement()

  Specified by:
    `getDiagramElement` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Diagram Element'.
  See Also:
    `DiagramElement`
  ** Generated **

### getDiagramElement_Figure

    public org.eclipse.emf.ecore.EReference getDiagramElement_Figure()

  Specified by:
    `getDiagramElement_Figure` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Figure'.
  See Also:
    `DiagramElement.getFigure()`, `GMFGraphPackage.getDiagramElement()`
  ** Generated **

### getDiagramElement_Facets

    public org.eclipse.emf.ecore.EReference getDiagramElement_Facets()

  Specified by:
    `getDiagramElement_Facets` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Facets'.
  See Also:
    `DiagramElement.getFacets()`, `GMFGraphPackage.getDiagramElement()`
  ** Generated **

### getAbstractNode

    public org.eclipse.emf.ecore.EClass getAbstractNode()

  Specified by:
    `getAbstractNode` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Abstract Node'.
  See Also:
    `AbstractNode`
  ** Generated **

### getNode

    public org.eclipse.emf.ecore.EClass getNode()

  Specified by:
    `getNode` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Node'.
  See Also:
    `Node`
  ** Generated **

### getNode_ResizeConstraint

    public org.eclipse.emf.ecore.EAttribute getNode_ResizeConstraint()

  Specified by:
    `getNode_ResizeConstraint` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Resize Constraint'.
  See Also:
    `Node.getResizeConstraint()`, `GMFGraphPackage.getNode()`
  ** Generated **

### getNode_AffixedParentSide

    public org.eclipse.emf.ecore.EAttribute getNode_AffixedParentSide()

  Specified by:
    `getNode_AffixedParentSide` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Affixed Parent Side'.
  See Also:
    `Node.getAffixedParentSide()`, `GMFGraphPackage.getNode()`
  ** Generated **

### getNode_ContentPane

    public org.eclipse.emf.ecore.EReference getNode_ContentPane()

  Specified by:
    `getNode_ContentPane` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Content Pane'.
  See Also:
    `Node.getContentPane()`, `GMFGraphPackage.getNode()`
  ** Generated **

### getChildAccess

    public org.eclipse.emf.ecore.EClass getChildAccess()

  Specified by:
    `getChildAccess` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Child Access'.
  See Also:
    `ChildAccess`
  ** Generated **

### getChildAccess_Owner

    public org.eclipse.emf.ecore.EReference getChildAccess_Owner()

  Specified by:
    `getChildAccess_Owner` in interface `GMFGraphPackage`
  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `ChildAccess.getOwner()`, `GMFGraphPackage.getChildAccess()`
  ** Generated **

### getChildAccess_Accessor

    public org.eclipse.emf.ecore.EAttribute getChildAccess_Accessor()

  Specified by:
    `getChildAccess_Accessor` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Accessor'.
  See Also:
    `ChildAccess.getAccessor()`, `GMFGraphPackage.getChildAccess()`
  ** Generated **

### getChildAccess_Figure

    public org.eclipse.emf.ecore.EReference getChildAccess_Figure()

  Specified by:
    `getChildAccess_Figure` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Figure'.
  See Also:
    `ChildAccess.getFigure()`, `GMFGraphPackage.getChildAccess()`
  ** Generated **

### getRealFigure

    public org.eclipse.emf.ecore.EClass getRealFigure()

  Specified by:
    `getRealFigure` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Real Figure'.
  See Also:
    `RealFigure`
  ** Generated **

### getRealFigure_Name

    public org.eclipse.emf.ecore.EAttribute getRealFigure_Name()

  Specified by:
    `getRealFigure_Name` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `RealFigure.getName()`, `GMFGraphPackage.getRealFigure()`
  ** Generated **

### getRealFigure_Children

    public org.eclipse.emf.ecore.EReference getRealFigure_Children()

  Specified by:
    `getRealFigure_Children` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `RealFigure.getChildren()`, `GMFGraphPackage.getRealFigure()`
  ** Generated **

### getConnection

    public org.eclipse.emf.ecore.EClass getConnection()

  Specified by:
    `getConnection` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Connection'.
  See Also:
    `Connection`
  ** Generated **

### getCompartment

    public org.eclipse.emf.ecore.EClass getCompartment()

  Specified by:
    `getCompartment` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Compartment'.
  See Also:
    `Compartment`
  ** Generated **

### getCompartment_Collapsible

    public org.eclipse.emf.ecore.EAttribute getCompartment_Collapsible()

  Specified by:
    `getCompartment_Collapsible` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Collapsible'.
  See Also:
    `Compartment.isCollapsible()`, `GMFGraphPackage.getCompartment()`
  ** Generated **

### getCompartment_NeedsTitle

    public org.eclipse.emf.ecore.EAttribute getCompartment_NeedsTitle()

  Specified by:
    `getCompartment_NeedsTitle` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Needs Title'.
  See Also:
    `Compartment.isNeedsTitle()`, `GMFGraphPackage.getCompartment()`
  ** Generated **

### getCompartment_Accessor

    public org.eclipse.emf.ecore.EReference getCompartment_Accessor()

  Specified by:
    `getCompartment_Accessor` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Accessor'.
  See Also:
    `Compartment.getAccessor()`, `GMFGraphPackage.getCompartment()`
  ** Generated **

### getDiagramLabel

    public org.eclipse.emf.ecore.EClass getDiagramLabel()

  Specified by:
    `getDiagramLabel` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Diagram Label'.
  See Also:
    `DiagramLabel`
  ** Generated **

### getDiagramLabel_ElementIcon

    public org.eclipse.emf.ecore.EAttribute getDiagramLabel_ElementIcon()

  Specified by:
    `getDiagramLabel_ElementIcon` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Element Icon'.
  See Also:
    `DiagramLabel.isElementIcon()`, `GMFGraphPackage.getDiagramLabel()`
  ** Generated **

### getDiagramLabel_Accessor

    public org.eclipse.emf.ecore.EReference getDiagramLabel_Accessor()

  Specified by:
    `getDiagramLabel_Accessor` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Accessor'.
  See Also:
    `DiagramLabel.getAccessor()`, `GMFGraphPackage.getDiagramLabel()`
  ** Generated **

### getDiagramLabel_Container

    public org.eclipse.emf.ecore.EReference getDiagramLabel_Container()

  Specified by:
    `getDiagramLabel_Container` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Container'.
  See Also:
    `DiagramLabel.getContainer()`, `GMFGraphPackage.getDiagramLabel()`
  ** Generated **

### getDiagramLabel_External

    public org.eclipse.emf.ecore.EAttribute getDiagramLabel_External()

  Specified by:
    `getDiagramLabel_External` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'External'.
  See Also:
    `DiagramLabel.isExternal()`, `GMFGraphPackage.getDiagramLabel()`
  ** Generated **

### getVisualFacet

    public org.eclipse.emf.ecore.EClass getVisualFacet()

  Specified by:
    `getVisualFacet` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Visual Facet'.
  See Also:
    `VisualFacet`
  ** Generated **

### getGeneralFacet

    public org.eclipse.emf.ecore.EClass getGeneralFacet()

  Specified by:
    `getGeneralFacet` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'General Facet'.
  See Also:
    `GeneralFacet`
  ** Generated **

### getGeneralFacet_Identifier

    public org.eclipse.emf.ecore.EAttribute getGeneralFacet_Identifier()

  Specified by:
    `getGeneralFacet_Identifier` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Identifier'.
  See Also:
    `GeneralFacet.getIdentifier()`, `GMFGraphPackage.getGeneralFacet()`
  ** Generated **

### getGeneralFacet_Data

    public org.eclipse.emf.ecore.EAttribute getGeneralFacet_Data()

  Specified by:
    `getGeneralFacet_Data` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Data'.
  See Also:
    `GeneralFacet.getData()`, `GMFGraphPackage.getGeneralFacet()`
  ** Generated **

### getAlignmentFacet

    public org.eclipse.emf.ecore.EClass getAlignmentFacet()

  Specified by:
    `getAlignmentFacet` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Alignment Facet'.
  See Also:
    `AlignmentFacet`
  ** Generated **

### getAlignmentFacet_Alignment

    public org.eclipse.emf.ecore.EAttribute getAlignmentFacet_Alignment()

  Specified by:
    `getAlignmentFacet_Alignment` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Alignment'.
  See Also:
    `AlignmentFacet.getAlignment()`, `GMFGraphPackage.getAlignmentFacet()`
  ** Generated **

### getGradientFacet

    public org.eclipse.emf.ecore.EClass getGradientFacet()

  Specified by:
    `getGradientFacet` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Gradient Facet'.
  See Also:
    `GradientFacet`
  ** Generated **

### getGradientFacet_Direction

    public org.eclipse.emf.ecore.EAttribute getGradientFacet_Direction()

  Specified by:
    `getGradientFacet_Direction` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Direction'.
  See Also:
    `GradientFacet.getDirection()`, `GMFGraphPackage.getGradientFacet()`
  ** Generated **

### getLabelOffsetFacet

    public org.eclipse.emf.ecore.EClass getLabelOffsetFacet()

  Specified by:
    `getLabelOffsetFacet` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Label Offset Facet'.
  See Also:
    `LabelOffsetFacet`
  ** Generated **

### getLabelOffsetFacet_X

    public org.eclipse.emf.ecore.EAttribute getLabelOffsetFacet_X()

  Specified by:
    `getLabelOffsetFacet_X` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `LabelOffsetFacet.getX()`, `GMFGraphPackage.getLabelOffsetFacet()`
  ** Generated **

### getLabelOffsetFacet_Y

    public org.eclipse.emf.ecore.EAttribute getLabelOffsetFacet_Y()

  Specified by:
    `getLabelOffsetFacet_Y` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `LabelOffsetFacet.getY()`, `GMFGraphPackage.getLabelOffsetFacet()`
  ** Generated **

### getDefaultSizeFacet

    public org.eclipse.emf.ecore.EClass getDefaultSizeFacet()

  Specified by:
    `getDefaultSizeFacet` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Default Size Facet'.
  See Also:
    `DefaultSizeFacet`
  ** Generated **

### getDefaultSizeFacet_DefaultSize

    public org.eclipse.emf.ecore.EReference getDefaultSizeFacet_DefaultSize()

  Specified by:
    `getDefaultSizeFacet_DefaultSize` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Default Size'.
  See Also:
    `DefaultSizeFacet.getDefaultSize()`, `GMFGraphPackage.getDefaultSizeFacet()`
  ** Generated **

### getFigure

    public org.eclipse.emf.ecore.EClass getFigure()

  Specified by:
    `getFigure` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Figure'.
  See Also:
    `Figure`
  ** Generated **

### getFigure_Descriptor

    public org.eclipse.emf.ecore.EReference getFigure_Descriptor()

  Specified by:
    `getFigure_Descriptor` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Descriptor'.
  See Also:
    `Figure.getDescriptor()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_ForegroundColor

    public org.eclipse.emf.ecore.EReference getFigure_ForegroundColor()

  Specified by:
    `getFigure_ForegroundColor` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Foreground Color'.
  See Also:
    `Figure.getForegroundColor()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_BackgroundColor

    public org.eclipse.emf.ecore.EReference getFigure_BackgroundColor()

  Specified by:
    `getFigure_BackgroundColor` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Background Color'.
  See Also:
    `Figure.getBackgroundColor()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_MaximumSize

    public org.eclipse.emf.ecore.EReference getFigure_MaximumSize()

  Specified by:
    `getFigure_MaximumSize` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Maximum Size'.
  See Also:
    `Figure.getMaximumSize()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_MinimumSize

    public org.eclipse.emf.ecore.EReference getFigure_MinimumSize()

  Specified by:
    `getFigure_MinimumSize` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Minimum Size'.
  See Also:
    `Figure.getMinimumSize()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_PreferredSize

    public org.eclipse.emf.ecore.EReference getFigure_PreferredSize()

  Specified by:
    `getFigure_PreferredSize` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Preferred Size'.
  See Also:
    `Figure.getPreferredSize()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_Font

    public org.eclipse.emf.ecore.EReference getFigure_Font()

  Specified by:
    `getFigure_Font` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Font'.
  See Also:
    `Figure.getFont()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_Insets

    public org.eclipse.emf.ecore.EReference getFigure_Insets()

  Specified by:
    `getFigure_Insets` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Insets'.
  See Also:
    `Figure.getInsets()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_Border

    public org.eclipse.emf.ecore.EReference getFigure_Border()

  Specified by:
    `getFigure_Border` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Border'.
  See Also:
    `Figure.getBorder()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_Location

    public org.eclipse.emf.ecore.EReference getFigure_Location()

  Specified by:
    `getFigure_Location` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Location'.
  See Also:
    `Figure.getLocation()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigure_Size

    public org.eclipse.emf.ecore.EReference getFigure_Size()

  Specified by:
    `getFigure_Size` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Size'.
  See Also:
    `Figure.getSize()`, `GMFGraphPackage.getFigure()`
  ** Generated **

### getFigureDescriptor

    public org.eclipse.emf.ecore.EClass getFigureDescriptor()

  Specified by:
    `getFigureDescriptor` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Figure Descriptor'.
  See Also:
    `FigureDescriptor`
  ** Generated **

### getFigureDescriptor_ActualFigure

    public org.eclipse.emf.ecore.EReference getFigureDescriptor_ActualFigure()

  Specified by:
    `getFigureDescriptor_ActualFigure` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Actual Figure'.
  See Also:
    `FigureDescriptor.getActualFigure()`, `GMFGraphPackage.getFigureDescriptor()`
  ** Generated **

### getFigureDescriptor_Accessors

    public org.eclipse.emf.ecore.EReference getFigureDescriptor_Accessors()

  Specified by:
    `getFigureDescriptor_Accessors` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Accessors'.
  See Also:
    `FigureDescriptor.getAccessors()`, `GMFGraphPackage.getFigureDescriptor()`
  ** Generated **

### getAbstractFigure

    public org.eclipse.emf.ecore.EClass getAbstractFigure()

  Specified by:
    `getAbstractFigure` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Abstract Figure'.
  See Also:
    `AbstractFigure`
  ** Generated **

### getFigureRef

    public org.eclipse.emf.ecore.EClass getFigureRef()

  Specified by:
    `getFigureRef` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Figure Ref'.
  See Also:
    `FigureRef`
  ** Generated **

### getFigureRef_Figure

    public org.eclipse.emf.ecore.EReference getFigureRef_Figure()

  Specified by:
    `getFigureRef_Figure` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Figure'.
  See Also:
    `FigureRef.getFigure()`, `GMFGraphPackage.getFigureRef()`
  ** Generated **

### getConnectionFigure

    public org.eclipse.emf.ecore.EClass getConnectionFigure()

  Specified by:
    `getConnectionFigure` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Connection Figure'.
  See Also:
    `ConnectionFigure`
  ** Generated **

### getDecorationFigure

    public org.eclipse.emf.ecore.EClass getDecorationFigure()

  Specified by:
    `getDecorationFigure` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Decoration Figure'.
  See Also:
    `DecorationFigure`
  ** Generated **

### getShape

    public org.eclipse.emf.ecore.EClass getShape()

  Specified by:
    `getShape` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Shape'.
  See Also:
    `Shape`
  ** Generated **

### getShape_Outline

    public org.eclipse.emf.ecore.EAttribute getShape_Outline()

  Specified by:
    `getShape_Outline` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Outline'.
  See Also:
    `Shape.isOutline()`, `GMFGraphPackage.getShape()`
  ** Generated **

### getShape_Fill

    public org.eclipse.emf.ecore.EAttribute getShape_Fill()

  Specified by:
    `getShape_Fill` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Fill'.
  See Also:
    `Shape.isFill()`, `GMFGraphPackage.getShape()`
  ** Generated **

### getShape_LineWidth

    public org.eclipse.emf.ecore.EAttribute getShape_LineWidth()

  Specified by:
    `getShape_LineWidth` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Line Width'.
  See Also:
    `Shape.getLineWidth()`, `GMFGraphPackage.getShape()`
  ** Generated **

### getShape_LineKind

    public org.eclipse.emf.ecore.EAttribute getShape_LineKind()

  Specified by:
    `getShape_LineKind` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Line Kind'.
  See Also:
    `Shape.getLineKind()`, `GMFGraphPackage.getShape()`
  ** Generated **

### getShape_XorFill

    public org.eclipse.emf.ecore.EAttribute getShape_XorFill()

  Specified by:
    `getShape_XorFill` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Xor Fill'.
  See Also:
    `Shape.isXorFill()`, `GMFGraphPackage.getShape()`
  ** Generated **

### getShape_XorOutline

    public org.eclipse.emf.ecore.EAttribute getShape_XorOutline()

  Specified by:
    `getShape_XorOutline` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Xor Outline'.
  See Also:
    `Shape.isXorOutline()`, `GMFGraphPackage.getShape()`
  ** Generated **

### getShape_ResolvedChildren

    public org.eclipse.emf.ecore.EReference getShape_ResolvedChildren()

  Specified by:
    `getShape_ResolvedChildren` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference list 'Resolved Children'.
  See Also:
    `Shape.getResolvedChildren()`, `GMFGraphPackage.getShape()`
  ** Generated **

### getLabel

    public org.eclipse.emf.ecore.EClass getLabel()

  Specified by:
    `getLabel` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Label'.
  See Also:
    `Label`
  ** Generated **

### getLabel_Text

    public org.eclipse.emf.ecore.EAttribute getLabel_Text()

  Specified by:
    `getLabel_Text` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Text'.
  See Also:
    `Label.getText()`, `GMFGraphPackage.getLabel()`
  ** Generated **

### getLabeledContainer

    public org.eclipse.emf.ecore.EClass getLabeledContainer()

  Specified by:
    `getLabeledContainer` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Labeled Container'.
  See Also:
    `LabeledContainer`
  ** Generated **

### getRectangle

    public org.eclipse.emf.ecore.EClass getRectangle()

  Specified by:
    `getRectangle` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Rectangle'.
  See Also:
    `Rectangle`
  ** Generated **

### getRoundedRectangle

    public org.eclipse.emf.ecore.EClass getRoundedRectangle()

  Specified by:
    `getRoundedRectangle` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Rounded Rectangle'.
  See Also:
    `RoundedRectangle`
  ** Generated **

### getRoundedRectangle_CornerWidth

    public org.eclipse.emf.ecore.EAttribute getRoundedRectangle_CornerWidth()

  Specified by:
    `getRoundedRectangle_CornerWidth` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Corner Width'.
  See Also:
    `RoundedRectangle.getCornerWidth()`, `GMFGraphPackage.getRoundedRectangle()`
  ** Generated **

### getRoundedRectangle_CornerHeight

    public org.eclipse.emf.ecore.EAttribute getRoundedRectangle_CornerHeight()

  Specified by:
    `getRoundedRectangle_CornerHeight` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Corner Height'.
  See Also:
    `RoundedRectangle.getCornerHeight()`, `GMFGraphPackage.getRoundedRectangle()`
  ** Generated **

### getEllipse

    public org.eclipse.emf.ecore.EClass getEllipse()

  Specified by:
    `getEllipse` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Ellipse'.
  See Also:
    `Ellipse`
  ** Generated **

### getPolyline

    public org.eclipse.emf.ecore.EClass getPolyline()

  Specified by:
    `getPolyline` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Polyline'.
  See Also:
    `Polyline`
  ** Generated **

### getPolyline_Template

    public org.eclipse.emf.ecore.EReference getPolyline_Template()

  Specified by:
    `getPolyline_Template` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Template'.
  See Also:
    `Polyline.getTemplate()`, `GMFGraphPackage.getPolyline()`
  ** Generated **

### getPolygon

    public org.eclipse.emf.ecore.EClass getPolygon()

  Specified by:
    `getPolygon` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Polygon'.
  See Also:
    `Polygon`
  ** Generated **

### getScalablePolygon

    public org.eclipse.emf.ecore.EClass getScalablePolygon()

  Specified by:
    `getScalablePolygon` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Scalable Polygon'.
  See Also:
    `ScalablePolygon`
  ** Generated **

### getPolylineConnection

    public org.eclipse.emf.ecore.EClass getPolylineConnection()

  Specified by:
    `getPolylineConnection` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Polyline Connection'.
  See Also:
    `PolylineConnection`
  ** Generated **

### getPolylineConnection_SourceDecoration

    public org.eclipse.emf.ecore.EReference getPolylineConnection_SourceDecoration()

  Specified by:
    `getPolylineConnection_SourceDecoration` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Source Decoration'.
  See Also:
    `PolylineConnection.getSourceDecoration()`, `GMFGraphPackage.getPolylineConnection()`
  ** Generated **

### getPolylineConnection_TargetDecoration

    public org.eclipse.emf.ecore.EReference getPolylineConnection_TargetDecoration()

  Specified by:
    `getPolylineConnection_TargetDecoration` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Target Decoration'.
  See Also:
    `PolylineConnection.getTargetDecoration()`, `GMFGraphPackage.getPolylineConnection()`
  ** Generated **

### getPolylineDecoration

    public org.eclipse.emf.ecore.EClass getPolylineDecoration()

  Specified by:
    `getPolylineDecoration` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Polyline Decoration'.
  See Also:
    `PolylineDecoration`
  ** Generated **

### getPolygonDecoration

    public org.eclipse.emf.ecore.EClass getPolygonDecoration()

  Specified by:
    `getPolygonDecoration` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Polygon Decoration'.
  See Also:
    `PolygonDecoration`
  ** Generated **

### getCustomClass

    public org.eclipse.emf.ecore.EClass getCustomClass()

  Specified by:
    `getCustomClass` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Custom Class'.
  See Also:
    `CustomClass`
  ** Generated **

### getCustomClass_QualifiedClassName

    public org.eclipse.emf.ecore.EAttribute getCustomClass_QualifiedClassName()

  Specified by:
    `getCustomClass_QualifiedClassName` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Qualified Class Name'.
  See Also:
    `CustomClass.getQualifiedClassName()`, `GMFGraphPackage.getCustomClass()`
  ** Generated **

### getCustomClass_Attributes

    public org.eclipse.emf.ecore.EReference getCustomClass_Attributes()

  Specified by:
    `getCustomClass_Attributes` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `CustomClass.getAttributes()`, `GMFGraphPackage.getCustomClass()`
  ** Generated **

### getCustomFigure

    public org.eclipse.emf.ecore.EClass getCustomFigure()

  Specified by:
    `getCustomFigure` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Custom Figure'.
  See Also:
    `CustomFigure`
  ** Generated **

### getCustomFigure_CustomChildren

    public org.eclipse.emf.ecore.EReference getCustomFigure_CustomChildren()

  Specified by:
    `getCustomFigure_CustomChildren` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference list 'Custom Children'.
  See Also:
    `CustomFigure.getCustomChildren()`, `GMFGraphPackage.getCustomFigure()`
  ** Generated **

### getCustomDecoration

    public org.eclipse.emf.ecore.EClass getCustomDecoration()

  Specified by:
    `getCustomDecoration` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Custom Decoration'.
  See Also:
    `CustomDecoration`
  ** Generated **

### getCustomConnection

    public org.eclipse.emf.ecore.EClass getCustomConnection()

  Specified by:
    `getCustomConnection` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Custom Connection'.
  See Also:
    `CustomConnection`
  ** Generated **

### getColor

    public org.eclipse.emf.ecore.EClass getColor()

  Specified by:
    `getColor` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Color'.
  See Also:
    `Color`
  ** Generated **

### getRGBColor

    public org.eclipse.emf.ecore.EClass getRGBColor()

  Specified by:
    `getRGBColor` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'RGB Color'.
  See Also:
    `RGBColor`
  ** Generated **

### getRGBColor_Red

    public org.eclipse.emf.ecore.EAttribute getRGBColor_Red()

  Specified by:
    `getRGBColor_Red` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Red'.
  See Also:
    `RGBColor.getRed()`, `GMFGraphPackage.getRGBColor()`
  ** Generated **

### getRGBColor_Green

    public org.eclipse.emf.ecore.EAttribute getRGBColor_Green()

  Specified by:
    `getRGBColor_Green` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Green'.
  See Also:
    `RGBColor.getGreen()`, `GMFGraphPackage.getRGBColor()`
  ** Generated **

### getRGBColor_Blue

    public org.eclipse.emf.ecore.EAttribute getRGBColor_Blue()

  Specified by:
    `getRGBColor_Blue` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Blue'.
  See Also:
    `RGBColor.getBlue()`, `GMFGraphPackage.getRGBColor()`
  ** Generated **

### getConstantColor

    public org.eclipse.emf.ecore.EClass getConstantColor()

  Specified by:
    `getConstantColor` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Constant Color'.
  See Also:
    `ConstantColor`
  ** Generated **

### getConstantColor_Value

    public org.eclipse.emf.ecore.EAttribute getConstantColor_Value()

  Specified by:
    `getConstantColor_Value` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ConstantColor.getValue()`, `GMFGraphPackage.getConstantColor()`
  ** Generated **

### getFont

    public org.eclipse.emf.ecore.EClass getFont()

  Specified by:
    `getFont` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Font'.
  See Also:
    `Font`
  ** Generated **

### getBasicFont

    public org.eclipse.emf.ecore.EClass getBasicFont()

  Specified by:
    `getBasicFont` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Basic Font'.
  See Also:
    `BasicFont`
  ** Generated **

### getBasicFont_FaceName

    public org.eclipse.emf.ecore.EAttribute getBasicFont_FaceName()

  Specified by:
    `getBasicFont_FaceName` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Face Name'.
  See Also:
    `BasicFont.getFaceName()`, `GMFGraphPackage.getBasicFont()`
  ** Generated **

### getBasicFont_Height

    public org.eclipse.emf.ecore.EAttribute getBasicFont_Height()

  Specified by:
    `getBasicFont_Height` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `BasicFont.getHeight()`, `GMFGraphPackage.getBasicFont()`
  ** Generated **

### getBasicFont_Style

    public org.eclipse.emf.ecore.EAttribute getBasicFont_Style()

  Specified by:
    `getBasicFont_Style` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Style'.
  See Also:
    `BasicFont.getStyle()`, `GMFGraphPackage.getBasicFont()`
  ** Generated **

### getFontStyle

    public org.eclipse.emf.ecore.EEnum getFontStyle()

  Specified by:
    `getFontStyle` in interface `GMFGraphPackage`
  Returns:
    the meta object for enum 'Font Style'.
  See Also:
    `FontStyle`
  ** Generated **

### getPoint

    public org.eclipse.emf.ecore.EClass getPoint()

  Specified by:
    `getPoint` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Point'.
  See Also:
    `Point`
  ** Generated **

### getPoint_X

    public org.eclipse.emf.ecore.EAttribute getPoint_X()

  Specified by:
    `getPoint_X` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `Point.getX()`, `GMFGraphPackage.getPoint()`
  ** Generated **

### getPoint_Y

    public org.eclipse.emf.ecore.EAttribute getPoint_Y()

  Specified by:
    `getPoint_Y` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `Point.getY()`, `GMFGraphPackage.getPoint()`
  ** Generated **

### getDimension

    public org.eclipse.emf.ecore.EClass getDimension()

  Specified by:
    `getDimension` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Dimension'.
  See Also:
    `Dimension`
  ** Generated **

### getDimension_Dx

    public org.eclipse.emf.ecore.EAttribute getDimension_Dx()

  Specified by:
    `getDimension_Dx` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Dx'.
  See Also:
    `Dimension.getDx()`, `GMFGraphPackage.getDimension()`
  ** Generated **

### getDimension_Dy

    public org.eclipse.emf.ecore.EAttribute getDimension_Dy()

  Specified by:
    `getDimension_Dy` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Dy'.
  See Also:
    `Dimension.getDy()`, `GMFGraphPackage.getDimension()`
  ** Generated **

### getInsets

    public org.eclipse.emf.ecore.EClass getInsets()

  Specified by:
    `getInsets` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Insets'.
  See Also:
    `Insets`
  ** Generated **

### getInsets_Top

    public org.eclipse.emf.ecore.EAttribute getInsets_Top()

  Specified by:
    `getInsets_Top` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Top'.
  See Also:
    `Insets.getTop()`, `GMFGraphPackage.getInsets()`
  ** Generated **

### getInsets_Left

    public org.eclipse.emf.ecore.EAttribute getInsets_Left()

  Specified by:
    `getInsets_Left` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Left'.
  See Also:
    `Insets.getLeft()`, `GMFGraphPackage.getInsets()`
  ** Generated **

### getInsets_Bottom

    public org.eclipse.emf.ecore.EAttribute getInsets_Bottom()

  Specified by:
    `getInsets_Bottom` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Bottom'.
  See Also:
    `Insets.getBottom()`, `GMFGraphPackage.getInsets()`
  ** Generated **

### getInsets_Right

    public org.eclipse.emf.ecore.EAttribute getInsets_Right()

  Specified by:
    `getInsets_Right` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Right'.
  See Also:
    `Insets.getRight()`, `GMFGraphPackage.getInsets()`
  ** Generated **

### getBorder

    public org.eclipse.emf.ecore.EClass getBorder()

  Specified by:
    `getBorder` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Border'.
  See Also:
    `Border`
  ** Generated **

### getBorderRef

    public org.eclipse.emf.ecore.EClass getBorderRef()

  Specified by:
    `getBorderRef` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Border Ref'.
  See Also:
    `BorderRef`
  ** Generated **

### getBorderRef_Actual

    public org.eclipse.emf.ecore.EReference getBorderRef_Actual()

  Specified by:
    `getBorderRef_Actual` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Actual'.
  See Also:
    `BorderRef.getActual()`, `GMFGraphPackage.getBorderRef()`
  ** Generated **

### getLineBorder

    public org.eclipse.emf.ecore.EClass getLineBorder()

  Specified by:
    `getLineBorder` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Line Border'.
  See Also:
    `LineBorder`
  ** Generated **

### getLineBorder_Color

    public org.eclipse.emf.ecore.EReference getLineBorder_Color()

  Specified by:
    `getLineBorder_Color` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Color'.
  See Also:
    `LineBorder.getColor()`, `GMFGraphPackage.getLineBorder()`
  ** Generated **

### getLineBorder_Width

    public org.eclipse.emf.ecore.EAttribute getLineBorder_Width()

  Specified by:
    `getLineBorder_Width` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `LineBorder.getWidth()`, `GMFGraphPackage.getLineBorder()`
  ** Generated **

### getMarginBorder

    public org.eclipse.emf.ecore.EClass getMarginBorder()

  Specified by:
    `getMarginBorder` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Margin Border'.
  See Also:
    `MarginBorder`
  ** Generated **

### getMarginBorder_Insets

    public org.eclipse.emf.ecore.EReference getMarginBorder_Insets()

  Specified by:
    `getMarginBorder_Insets` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Insets'.
  See Also:
    `MarginBorder.getInsets()`, `GMFGraphPackage.getMarginBorder()`
  ** Generated **

### getCompoundBorder

    public org.eclipse.emf.ecore.EClass getCompoundBorder()

  Specified by:
    `getCompoundBorder` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Compound Border'.
  See Also:
    `CompoundBorder`
  ** Generated **

### getCompoundBorder_Outer

    public org.eclipse.emf.ecore.EReference getCompoundBorder_Outer()

  Specified by:
    `getCompoundBorder_Outer` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Outer'.
  See Also:
    `CompoundBorder.getOuter()`, `GMFGraphPackage.getCompoundBorder()`
  ** Generated **

### getCompoundBorder_Inner

    public org.eclipse.emf.ecore.EReference getCompoundBorder_Inner()

  Specified by:
    `getCompoundBorder_Inner` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Inner'.
  See Also:
    `CompoundBorder.getInner()`, `GMFGraphPackage.getCompoundBorder()`
  ** Generated **

### getCustomBorder

    public org.eclipse.emf.ecore.EClass getCustomBorder()

  Specified by:
    `getCustomBorder` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Custom Border'.
  See Also:
    `CustomBorder`
  ** Generated **

### getLayoutData

    public org.eclipse.emf.ecore.EClass getLayoutData()

  Specified by:
    `getLayoutData` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Layout Data'.
  See Also:
    `LayoutData`
  ** Generated **

### getLayoutData_Owner

    public org.eclipse.emf.ecore.EReference getLayoutData_Owner()

  Specified by:
    `getLayoutData_Owner` in interface `GMFGraphPackage`
  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `LayoutData.getOwner()`, `GMFGraphPackage.getLayoutData()`
  ** Generated **

### getCustomLayoutData

    public org.eclipse.emf.ecore.EClass getCustomLayoutData()

  Specified by:
    `getCustomLayoutData` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Custom Layout Data'.
  See Also:
    `CustomLayoutData`
  ** Generated **

### getGridLayoutData

    public org.eclipse.emf.ecore.EClass getGridLayoutData()

  Specified by:
    `getGridLayoutData` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Grid Layout Data'.
  See Also:
    `GridLayoutData`
  ** Generated **

### getGridLayoutData_GrabExcessHorizontalSpace

    public org.eclipse.emf.ecore.EAttribute getGridLayoutData_GrabExcessHorizontalSpace()

  Specified by:
    `getGridLayoutData_GrabExcessHorizontalSpace` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Grab Excess Horizontal Space'.
  See Also:
    `GridLayoutData.isGrabExcessHorizontalSpace()`, `GMFGraphPackage.getGridLayoutData()`
  ** Generated **

### getGridLayoutData_GrabExcessVerticalSpace

    public org.eclipse.emf.ecore.EAttribute getGridLayoutData_GrabExcessVerticalSpace()

  Specified by:
    `getGridLayoutData_GrabExcessVerticalSpace` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Grab Excess Vertical Space'.
  See Also:
    `GridLayoutData.isGrabExcessVerticalSpace()`, `GMFGraphPackage.getGridLayoutData()`
  ** Generated **

### getGridLayoutData_VerticalAlignment

    public org.eclipse.emf.ecore.EAttribute getGridLayoutData_VerticalAlignment()

  Specified by:
    `getGridLayoutData_VerticalAlignment` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Vertical Alignment'.
  See Also:
    `GridLayoutData.getVerticalAlignment()`, `GMFGraphPackage.getGridLayoutData()`
  ** Generated **

### getGridLayoutData_HorizontalAlignment

    public org.eclipse.emf.ecore.EAttribute getGridLayoutData_HorizontalAlignment()

  Specified by:
    `getGridLayoutData_HorizontalAlignment` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Horizontal Alignment'.
  See Also:
    `GridLayoutData.getHorizontalAlignment()`, `GMFGraphPackage.getGridLayoutData()`
  ** Generated **

### getGridLayoutData_VerticalSpan

    public org.eclipse.emf.ecore.EAttribute getGridLayoutData_VerticalSpan()

  Specified by:
    `getGridLayoutData_VerticalSpan` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Vertical Span'.
  See Also:
    `GridLayoutData.getVerticalSpan()`, `GMFGraphPackage.getGridLayoutData()`
  ** Generated **

### getGridLayoutData_HorizontalSpan

    public org.eclipse.emf.ecore.EAttribute getGridLayoutData_HorizontalSpan()

  Specified by:
    `getGridLayoutData_HorizontalSpan` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Horizontal Span'.
  See Also:
    `GridLayoutData.getHorizontalSpan()`, `GMFGraphPackage.getGridLayoutData()`
  ** Generated **

### getGridLayoutData_HorizontalIndent

    public org.eclipse.emf.ecore.EAttribute getGridLayoutData_HorizontalIndent()

  Specified by:
    `getGridLayoutData_HorizontalIndent` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Horizontal Indent'.
  See Also:
    `GridLayoutData.getHorizontalIndent()`, `GMFGraphPackage.getGridLayoutData()`
  ** Generated **

### getGridLayoutData_SizeHint

    public org.eclipse.emf.ecore.EReference getGridLayoutData_SizeHint()

  Specified by:
    `getGridLayoutData_SizeHint` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Size Hint'.
  See Also:
    `GridLayoutData.getSizeHint()`, `GMFGraphPackage.getGridLayoutData()`
  ** Generated **

### getBorderLayoutData

    public org.eclipse.emf.ecore.EClass getBorderLayoutData()

  Specified by:
    `getBorderLayoutData` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Border Layout Data'.
  See Also:
    `BorderLayoutData`
  ** Generated **

### getBorderLayoutData_Alignment

    public org.eclipse.emf.ecore.EAttribute getBorderLayoutData_Alignment()

  Specified by:
    `getBorderLayoutData_Alignment` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Alignment'.
  See Also:
    `BorderLayoutData.getAlignment()`, `GMFGraphPackage.getBorderLayoutData()`
  ** Generated **

### getBorderLayoutData_Vertical

    public org.eclipse.emf.ecore.EAttribute getBorderLayoutData_Vertical()

  Specified by:
    `getBorderLayoutData_Vertical` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Vertical'.
  See Also:
    `BorderLayoutData.isVertical()`, `GMFGraphPackage.getBorderLayoutData()`
  ** Generated **

### getLayoutable

    public org.eclipse.emf.ecore.EClass getLayoutable()

  Specified by:
    `getLayoutable` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Layoutable'.
  See Also:
    `Layoutable`
  ** Generated **

### getLayoutable_LayoutData

    public org.eclipse.emf.ecore.EReference getLayoutable_LayoutData()

  Specified by:
    `getLayoutable_LayoutData` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Layout Data'.
  See Also:
    `Layoutable.getLayoutData()`, `GMFGraphPackage.getLayoutable()`
  ** Generated **

### getLayoutable_Layout

    public org.eclipse.emf.ecore.EReference getLayoutable_Layout()

  Specified by:
    `getLayoutable_Layout` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Layout'.
  See Also:
    `Layoutable.getLayout()`, `GMFGraphPackage.getLayoutable()`
  ** Generated **

### getLayout

    public org.eclipse.emf.ecore.EClass getLayout()

  Specified by:
    `getLayout` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Layout'.
  See Also:
    `Layout`
  ** Generated **

### getLayoutRef

    public org.eclipse.emf.ecore.EClass getLayoutRef()

  Specified by:
    `getLayoutRef` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Layout Ref'.
  See Also:
    `LayoutRef`
  ** Generated **

### getLayoutRef_Actual

    public org.eclipse.emf.ecore.EReference getLayoutRef_Actual()

  Specified by:
    `getLayoutRef_Actual` in interface `GMFGraphPackage`
  Returns:
    the meta object for the reference 'Actual'.
  See Also:
    `LayoutRef.getActual()`, `GMFGraphPackage.getLayoutRef()`
  ** Generated **

### getCustomLayout

    public org.eclipse.emf.ecore.EClass getCustomLayout()

  Specified by:
    `getCustomLayout` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Custom Layout'.
  See Also:
    `CustomLayout`
  ** Generated **

### getGridLayout

    public org.eclipse.emf.ecore.EClass getGridLayout()

  Specified by:
    `getGridLayout` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Grid Layout'.
  See Also:
    `GridLayout`
  ** Generated **

### getGridLayout_NumColumns

    public org.eclipse.emf.ecore.EAttribute getGridLayout_NumColumns()

  Specified by:
    `getGridLayout_NumColumns` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Num Columns'.
  See Also:
    `GridLayout.getNumColumns()`, `GMFGraphPackage.getGridLayout()`
  ** Generated **

### getGridLayout_EqualWidth

    public org.eclipse.emf.ecore.EAttribute getGridLayout_EqualWidth()

  Specified by:
    `getGridLayout_EqualWidth` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Equal Width'.
  See Also:
    `GridLayout.isEqualWidth()`, `GMFGraphPackage.getGridLayout()`
  ** Generated **

### getGridLayout_Margins

    public org.eclipse.emf.ecore.EReference getGridLayout_Margins()

  Specified by:
    `getGridLayout_Margins` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Margins'.
  See Also:
    `GridLayout.getMargins()`, `GMFGraphPackage.getGridLayout()`
  ** Generated **

### getGridLayout_Spacing

    public org.eclipse.emf.ecore.EReference getGridLayout_Spacing()

  Specified by:
    `getGridLayout_Spacing` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Spacing'.
  See Also:
    `GridLayout.getSpacing()`, `GMFGraphPackage.getGridLayout()`
  ** Generated **

### getBorderLayout

    public org.eclipse.emf.ecore.EClass getBorderLayout()

  Specified by:
    `getBorderLayout` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Border Layout'.
  See Also:
    `BorderLayout`
  ** Generated **

### getBorderLayout_Spacing

    public org.eclipse.emf.ecore.EReference getBorderLayout_Spacing()

  Specified by:
    `getBorderLayout_Spacing` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Spacing'.
  See Also:
    `BorderLayout.getSpacing()`, `GMFGraphPackage.getBorderLayout()`
  ** Generated **

### getCustomAttribute

    public org.eclipse.emf.ecore.EClass getCustomAttribute()

  Specified by:
    `getCustomAttribute` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Custom Attribute'.
  See Also:
    `CustomAttribute`
  ** Generated **

### getCustomAttribute_Name

    public org.eclipse.emf.ecore.EAttribute getCustomAttribute_Name()

  Specified by:
    `getCustomAttribute_Name` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `CustomAttribute.getName()`, `GMFGraphPackage.getCustomAttribute()`
  ** Generated **

### getCustomAttribute_Value

    public org.eclipse.emf.ecore.EAttribute getCustomAttribute_Value()

  Specified by:
    `getCustomAttribute_Value` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `CustomAttribute.getValue()`, `GMFGraphPackage.getCustomAttribute()`
  ** Generated **

### getCustomAttribute_DirectAccess

    public org.eclipse.emf.ecore.EAttribute getCustomAttribute_DirectAccess()

  Specified by:
    `getCustomAttribute_DirectAccess` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Direct Access'.
  See Also:
    `CustomAttribute.isDirectAccess()`, `GMFGraphPackage.getCustomAttribute()`
  ** Generated **

### getCustomAttribute_MultiStatementValue

    public org.eclipse.emf.ecore.EAttribute getCustomAttribute_MultiStatementValue()

  Specified by:
    `getCustomAttribute_MultiStatementValue` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Multi Statement Value'.
  See Also:
    `CustomAttribute.isMultiStatementValue()`, `GMFGraphPackage.getCustomAttribute()`
  ** Generated **

### getFigureAccessor

    public org.eclipse.emf.ecore.EClass getFigureAccessor()

  Specified by:
    `getFigureAccessor` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Figure Accessor'.
  See Also:
    `FigureAccessor`
  ** Generated **

### getFigureAccessor_Accessor

    public org.eclipse.emf.ecore.EAttribute getFigureAccessor_Accessor()

  Specified by:
    `getFigureAccessor_Accessor` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Accessor'.
  See Also:
    `FigureAccessor.getAccessor()`, `GMFGraphPackage.getFigureAccessor()`
  ** Generated **

### getFigureAccessor_TypedFigure

    public org.eclipse.emf.ecore.EReference getFigureAccessor_TypedFigure()

  Specified by:
    `getFigureAccessor_TypedFigure` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Typed Figure'.
  See Also:
    `FigureAccessor.getTypedFigure()`, `GMFGraphPackage.getFigureAccessor()`
  ** Generated **

### getFlowLayout

    public org.eclipse.emf.ecore.EClass getFlowLayout()

  Specified by:
    `getFlowLayout` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Flow Layout'.
  See Also:
    `FlowLayout`
  ** Generated **

### getFlowLayout_Vertical

    public org.eclipse.emf.ecore.EAttribute getFlowLayout_Vertical()

  Specified by:
    `getFlowLayout_Vertical` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Vertical'.
  See Also:
    `FlowLayout.isVertical()`, `GMFGraphPackage.getFlowLayout()`
  ** Generated **

### getFlowLayout_MatchMinorSize

    public org.eclipse.emf.ecore.EAttribute getFlowLayout_MatchMinorSize()

  Specified by:
    `getFlowLayout_MatchMinorSize` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Match Minor Size'.
  See Also:
    `FlowLayout.isMatchMinorSize()`, `GMFGraphPackage.getFlowLayout()`
  ** Generated **

### getFlowLayout_ForceSingleLine

    public org.eclipse.emf.ecore.EAttribute getFlowLayout_ForceSingleLine()

  Specified by:
    `getFlowLayout_ForceSingleLine` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Force Single Line'.
  See Also:
    `FlowLayout.isForceSingleLine()`, `GMFGraphPackage.getFlowLayout()`
  ** Generated **

### getFlowLayout_MajorAlignment

    public org.eclipse.emf.ecore.EAttribute getFlowLayout_MajorAlignment()

  Specified by:
    `getFlowLayout_MajorAlignment` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Major Alignment'.
  See Also:
    `FlowLayout.getMajorAlignment()`, `GMFGraphPackage.getFlowLayout()`
  ** Generated **

### getFlowLayout_MinorAlignment

    public org.eclipse.emf.ecore.EAttribute getFlowLayout_MinorAlignment()

  Specified by:
    `getFlowLayout_MinorAlignment` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Minor Alignment'.
  See Also:
    `FlowLayout.getMinorAlignment()`, `GMFGraphPackage.getFlowLayout()`
  ** Generated **

### getFlowLayout_MajorSpacing

    public org.eclipse.emf.ecore.EAttribute getFlowLayout_MajorSpacing()

  Specified by:
    `getFlowLayout_MajorSpacing` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Major Spacing'.
  See Also:
    `FlowLayout.getMajorSpacing()`, `GMFGraphPackage.getFlowLayout()`
  ** Generated **

### getFlowLayout_MinorSpacing

    public org.eclipse.emf.ecore.EAttribute getFlowLayout_MinorSpacing()

  Specified by:
    `getFlowLayout_MinorSpacing` in interface `GMFGraphPackage`
  Returns:
    the meta object for the attribute 'Minor Spacing'.
  See Also:
    `FlowLayout.getMinorSpacing()`, `GMFGraphPackage.getFlowLayout()`
  ** Generated **

### getXYLayout

    public org.eclipse.emf.ecore.EClass getXYLayout()

  Specified by:
    `getXYLayout` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'XY Layout'.
  See Also:
    `XYLayout`
  ** Generated **

### getXYLayoutData

    public org.eclipse.emf.ecore.EClass getXYLayoutData()

  Specified by:
    `getXYLayoutData` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'XY Layout Data'.
  See Also:
    `XYLayoutData`
  ** Generated **

### getXYLayoutData_TopLeft

    public org.eclipse.emf.ecore.EReference getXYLayoutData_TopLeft()

  Specified by:
    `getXYLayoutData_TopLeft` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Top Left'.
  See Also:
    `XYLayoutData.getTopLeft()`, `GMFGraphPackage.getXYLayoutData()`
  ** Generated **

### getXYLayoutData_Size

    public org.eclipse.emf.ecore.EReference getXYLayoutData_Size()

  Specified by:
    `getXYLayoutData_Size` in interface `GMFGraphPackage`
  Returns:
    the meta object for the containment reference 'Size'.
  See Also:
    `XYLayoutData.getSize()`, `GMFGraphPackage.getXYLayoutData()`
  ** Generated **

### getStackLayout

    public org.eclipse.emf.ecore.EClass getStackLayout()

  Specified by:
    `getStackLayout` in interface `GMFGraphPackage`
  Returns:
    the meta object for class 'Stack Layout'.
  See Also:
    `StackLayout`
  ** Generated **

### getColorConstants

    public org.eclipse.emf.ecore.EEnum getColorConstants()

  Specified by:
    `getColorConstants` in interface `GMFGraphPackage`
  Returns:
    the meta object for enum 'Color Constants'.
  See Also:
    `ColorConstants`
  ** Generated **

### getDirection

    public org.eclipse.emf.ecore.EEnum getDirection()

  Specified by:
    `getDirection` in interface `GMFGraphPackage`
  Returns:
    the meta object for enum 'Direction'.
  See Also:
    `Direction`
  ** Generated **

### getLineKind

    public org.eclipse.emf.ecore.EEnum getLineKind()

  Specified by:
    `getLineKind` in interface `GMFGraphPackage`
  Returns:
    the meta object for enum 'Line Kind'.
  See Also:
    `LineKind`
  ** Generated **

### getAlignment

    public org.eclipse.emf.ecore.EEnum getAlignment()

  Specified by:
    `getAlignment` in interface `GMFGraphPackage`
  Returns:
    the meta object for enum 'Alignment'.
  See Also:
    `Alignment`
  ** Generated **

### getGMFGraphFactory

    public GMFGraphFactory getGMFGraphFactory()

  Specified by:
    `getGMFGraphFactory` in interface `GMFGraphPackage`
  Returns:
    the factory that creates the instances of the model.
  ** Generated **

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.